Package org.apache.struts2.views.jsp

# Class NumberTag

java.lang.Object
jakarta.servlet.jsp.tagext.TagSupport
jakarta.servlet.jsp.tagext.BodyTagSupport
org.apache.struts2.views.jsp.StrutsBodyTagSupport
org.apache.struts2.views.jsp.ComponentTagSupport
org.apache.struts2.views.jsp.ContextBeanTag
org.apache.struts2.views.jsp.NumberTag

All Implemented Interfaces:
  `jakarta.servlet.jsp.tagext.BodyTag`, `jakarta.servlet.jsp.tagext.IterationTag`, `jakarta.servlet.jsp.tagext.JspTag`, `jakarta.servlet.jsp.tagext.Tag`, `Serializable`

public class NumberTag extends ContextBeanTag

See Also:
  - `Number`
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class org.apache.struts2.views.jsp.ComponentTagSupport

  `component`

  ### Fields inherited from class jakarta.servlet.jsp.tagext.BodyTagSupport

  `bodyContent`

  ### Fields inherited from class jakarta.servlet.jsp.tagext.TagSupport

  `id, pageContext`

  ### Fields inherited from interface jakarta.servlet.jsp.tagext.BodyTag

  `EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

  ### Fields inherited from interface jakarta.servlet.jsp.tagext.IterationTag

  `EVAL_BODY_AGAIN`

  ### Fields inherited from interface jakarta.servlet.jsp.tagext.Tag

  `EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NumberTag()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `clearTagStateForTagPoolingServers()`
  Provide a mechanism to clear tag state, to handle servlet container JSP tag pooling behaviour with some servers, such as Glassfish.
  `Component`
  `getBean(ValueStack stack, jakarta.servlet.http.HttpServletRequest req, jakarta.servlet.http.HttpServletResponse res)`
  `protected void`
  `populateParams()`
  Define method to populate component state based on the Tag attributes.
  `void`
  `setCurrency(String currency)`
  `void`
  `setGroupingUsed(Boolean groupingUsed)`
  `void`
  `setMaximumFractionDigits(Integer maximumFractionDigits)`
  `void`
  `setMaximumIntegerDigits(Integer maximumIntegerDigits)`
  `void`
  `setMinimumFractionDigits(Integer minimumFractionDigits)`
  `void`
  `setMinimumIntegerDigits(Integer minimumIntegerDigits)`
  `void`
  `setName(String name)`
  `void`
  `setParseIntegerOnly(Boolean parseIntegerOnly)`
  `void`
  `setPerformClearTagStateForTagPoolingServers(boolean performClearTagStateForTagPoolingServers)`
  Must declare the setter at the descendant Tag class level in order for the tag handler to locate the method.
  `void`
  `setRoundingMode(String roundingMode)`
  `void`
  `setType(String type)`

  ### Methods inherited from class org.apache.struts2.views.jsp.ContextBeanTag

  `setVar`

  ### Methods inherited from class org.apache.struts2.views.jsp.ComponentTagSupport

  `doEndTag, doStartTag, getComponent, populatePerformClearTagStateForTagPoolingServersParam`

  ### Methods inherited from class org.apache.struts2.views.jsp.StrutsBodyTagSupport

  `findString, findValue, findValue, getBody, getPerformClearTagStateForTagPoolingServers, getStack, release, toString`

  ### Methods inherited from class jakarta.servlet.jsp.tagext.BodyTagSupport

  `doAfterBody, doInitBody, getBodyContent, getPreviousOut, setBodyContent`

  ### Methods inherited from class jakarta.servlet.jsp.tagext.TagSupport

  `findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface jakarta.servlet.jsp.tagext.Tag

  `getParent, setPageContext, setParent`

- ## Constructor Details

  - ### NumberTag

    public NumberTag()

- ## Method Details

  - ### getBean

    public Component getBean(ValueStack stack, jakarta.servlet.http.HttpServletRequest req, jakarta.servlet.http.HttpServletResponse res)
    Specified by:
      `getBean` in class `ComponentTagSupport`

  - ### populateParams

    protected void populateParams()
    Description copied from class: `ComponentTagSupport`
    Define method to populate component state based on the Tag attributes. Descendants should override this method for custom behaviour, but should always call the ancestor method when doing so.
    Overrides:
      `populateParams` in class `ContextBeanTag`

  - ### setName

    public void setName(String name)
    Parameters:
      `name` - the name to set

  - ### setCurrency

    public void setCurrency(String currency)
    Parameters:
      `currency` - the currency to set

  - ### setType

    public void setType(String type)
    Parameters:
      `type` - the type to set

  - ### setGroupingUsed

    public void setGroupingUsed(Boolean groupingUsed)
    Parameters:
      `groupingUsed` - the groupingUsed to set

  - ### setMaximumFractionDigits

    public void setMaximumFractionDigits(Integer maximumFractionDigits)
    Parameters:
      `maximumFractionDigits` - the maximumFractionDigits to set

  - ### setMaximumIntegerDigits

    public void setMaximumIntegerDigits(Integer maximumIntegerDigits)
    Parameters:
      `maximumIntegerDigits` - the maximumIntegerDigits to set

  - ### setMinimumFractionDigits

    public void setMinimumFractionDigits(Integer minimumFractionDigits)
    Parameters:
      `minimumFractionDigits` - the minimumFractionDigits to set

  - ### setMinimumIntegerDigits

    public void setMinimumIntegerDigits(Integer minimumIntegerDigits)
    Parameters:
      `minimumIntegerDigits` - the minimumIntegerDigits to set

  - ### setParseIntegerOnly

    public void setParseIntegerOnly(Boolean parseIntegerOnly)
    Parameters:
      `parseIntegerOnly` - the parseIntegerOnly to set

  - ### setRoundingMode

    public void setRoundingMode(String roundingMode)
    Parameters:
      `roundingMode` - the roundingMode to set

  - ### setPerformClearTagStateForTagPoolingServers

    public void setPerformClearTagStateForTagPoolingServers(boolean performClearTagStateForTagPoolingServers)
    Must declare the setter at the descendant Tag class level in order for the tag handler to locate the method.
    Overrides:
      `setPerformClearTagStateForTagPoolingServers` in class `ContextBeanTag`
    Parameters:
      `performClearTagStateForTagPoolingServers` - true if tag state should be cleared, false otherwise.

  - ### clearTagStateForTagPoolingServers

    protected void clearTagStateForTagPoolingServers()
    Description copied from class: `StrutsBodyTagSupport`
    Provide a mechanism to clear tag state, to handle servlet container JSP tag pooling behaviour with some servers, such as Glassfish.

    Usage: Override this method in descendant classes to clear any state that might cause issues should the servlet container re-use a cached instance of the tag object. If the descendant class does not declare any new field members then it should not be strictly necessary to call this method there. Typically that means calling the ancestor's `ComponentTagSupport.clearTagStateForTagPoolingServers()` method first, then resetting instance variables at the current level to their default state.

    Note: If the descendant overrides `StrutsBodyTagSupport.doEndTag()`, and does not call super.doEndTag(), then the descendant should call this method in the descendant doEndTag() method to ensure consistent clearing of tag state.

    Overrides:
      `clearTagStateForTagPoolingServers` in class `ContextBeanTag`